
Foreman - Feature #432

windows provisioning support

11/03/2010 06:57 PM - Bill Peck

Status: Resolved   

Priority: Normal   

Assignee: Jim Perrin   

Category: Unattended installations   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

ability to provision windows systems, both virt and real hardware.

Related issues:

Related to Foreman - Feature #1254: add basic windows support Closed 10/24/2011

History

#1 - 11/09/2010 07:56 AM - Ohad Levy

a few options to achieve this:

1. boot a WINPE instance which in turn starts the normal windows explorer, this is probably the safest way.

2. boot a floppy disk (using memdisk) which loads network, map network shares and starts the unattended setup - this works well for winXP, not

sure if it still works on newer versions of windows.

#2 - 11/09/2010 07:56 AM - Ohad Levy

- Category set to Unattended installations

#3 - 01/29/2012 04:37 AM - Ohad Levy

- Assignee set to Jim Perrin

#4 - 01/29/2012 04:37 AM - Ohad Levy

- Status changed from New to Assigned

#5 - 12/28/2014 11:47 AM - Tomer Brisker

- Status changed from Assigned to New

#6 - 02/29/2016 05:20 AM - Greg Sutcliffe

- Status changed from New to Resolved

Windows provisioning has been available for a while. See https://github.com/kireevco/wimaging and the Deep Dive at 

https://www.youtube.com/watch?v=_R8-0KAkoPc

I'm going to close this old ticket now, but if there's anything else I've missed, do re-open it with more detail.
